This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1476517 - [abrt] rawstudio: _XSend(): rawstudio killed by SIGSEGV
[abrt] rawstudio: _XSend(): rawstudio killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1444739
Product: Fedora
Classification: Fedora
Component: rawstudio (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gianluca Sforna
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a67198b923a8c56c7e8a9e33b6a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-29 14:38 EDT by Kåre Løvgren
Modified: 2017-08-23 08:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 08:28:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (99.25 KB, text/plain)
2017-07-29 14:38 EDT, Kåre Løvgren
no flags Details
File: cgroup (259 bytes, text/plain)
2017-07-29 14:38 EDT, Kåre Løvgren
no flags Details
File: core_backtrace (26.33 KB, text/plain)
2017-07-29 14:38 EDT, Kåre Løvgren
no flags Details
File: dso_list (13.23 KB, text/plain)
2017-07-29 14:38 EDT, Kåre Løvgren
no flags Details
File: environ (2.68 KB, text/plain)
2017-07-29 14:38 EDT, Kåre Løvgren
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-29 14:38 EDT, Kåre Løvgren
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-29 14:38 EDT, Kåre Løvgren
no flags Details
File: maps (62.92 KB, text/plain)
2017-07-29 14:38 EDT, Kåre Løvgren
no flags Details
File: mountinfo (4.00 KB, text/plain)
2017-07-29 14:38 EDT, Kåre Løvgren
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-29 14:38 EDT, Kåre Løvgren
no flags Details
File: open_fds (1.42 KB, text/plain)
2017-07-29 14:38 EDT, Kåre Løvgren
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-07-29 14:38 EDT, Kåre Løvgren
no flags Details
File: var_log_messages (496 bytes, text/plain)
2017-07-29 14:38 EDT, Kåre Løvgren
no flags Details

  None (edit)
Description Kåre Løvgren 2017-07-29 14:38:11 EDT
Description of problem:
Tried to start Rawstudio by right-clicking a Canon .CR2 raw file and selecting "Open with Rawstudio".

Version-Release number of selected component:
rawstudio-2.1-0.12.20160223git6643b14_rawspeed_5f78369.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        rawstudio '/mnt/Lagerplads/Fotos/EOS 7D.2/2017/20170727_Itailenstur/32GB_kort/IMG_2697.CR2'
crash_function: _XSend
executable:     /usr/bin/rawstudio
global_pid:     5146
kernel:         4.11.12-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _XSend at xcb_io.c:447
 #1 _XFlush at xcb_io.c:503
 #2 XFlush at Flush.c:39
 #3 rs_curve_size_allocate_helper at rs-curve.c:853
 #4 rs_curve_size_allocate at rs-curve.c:872
 #9 gtk_widget_size_allocate_with_baseline at gtkwidget.c:6113
 #10 gtk_box_gadget_allocate_child at gtkboxgadget.c:319
 #11 gtk_box_gadget_allocate at gtkboxgadget.c:474
 #12 gtk_css_gadget_allocate at gtkcssgadget.c:782
 #13 gtk_expander_size_allocate at gtkexpander.c:666
Comment 1 Kåre Løvgren 2017-07-29 14:38:19 EDT
Created attachment 1306351 [details]
File: backtrace
Comment 2 Kåre Løvgren 2017-07-29 14:38:20 EDT
Created attachment 1306352 [details]
File: cgroup
Comment 3 Kåre Løvgren 2017-07-29 14:38:22 EDT
Created attachment 1306353 [details]
File: core_backtrace
Comment 4 Kåre Løvgren 2017-07-29 14:38:24 EDT
Created attachment 1306354 [details]
File: dso_list
Comment 5 Kåre Løvgren 2017-07-29 14:38:25 EDT
Created attachment 1306355 [details]
File: environ
Comment 6 Kåre Løvgren 2017-07-29 14:38:27 EDT
Created attachment 1306356 [details]
File: exploitable
Comment 7 Kåre Løvgren 2017-07-29 14:38:28 EDT
Created attachment 1306357 [details]
File: limits
Comment 8 Kåre Løvgren 2017-07-29 14:38:31 EDT
Created attachment 1306358 [details]
File: maps
Comment 9 Kåre Løvgren 2017-07-29 14:38:33 EDT
Created attachment 1306359 [details]
File: mountinfo
Comment 10 Kåre Løvgren 2017-07-29 14:38:34 EDT
Created attachment 1306360 [details]
File: namespaces
Comment 11 Kåre Løvgren 2017-07-29 14:38:36 EDT
Created attachment 1306361 [details]
File: open_fds
Comment 12 Kåre Løvgren 2017-07-29 14:38:37 EDT
Created attachment 1306362 [details]
File: proc_pid_status
Comment 13 Kåre Løvgren 2017-07-29 14:38:38 EDT
Created attachment 1306363 [details]
File: var_log_messages
Comment 14 Kåre Løvgren 2017-07-29 14:48:13 EDT
Comment:
I tried to log in using "Gnome on Xorg" and start Rawstudio: That works :-)
Comment 15 Sergio Monteiro Basto 2017-08-23 08:28:32 EDT

*** This bug has been marked as a duplicate of bug 1444739 ***

Note You need to log in before you can comment on or make changes to this bug.